Name:           perl-Test-JSON
Summary:        Test JSON data
Version:        0.11
Release:    1%{?dist}
License:        GPL+ or Artistic

Source0:        https://cpan.metacpan.org/authors/id/O/OV/OVID/Test-JSON-%{version}.tar.gz 
URL:            https://metacpan.org/release/Test-JSON

BuildArch:      noarch

BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(JSON::Any) >= 1.2
BuildRequires:  perl(Test::Differences) >= 0.47
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Simple) >= 0.62
BuildRequires:  perl(Test::Tester) >= 0.107

Requires:       perl(JSON::Any) >= 1.2
Requires:       perl(Test::Differences) >= 0.47
Requires:       perl(Test::Tester) >= 0.107

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
JavaScript Object Notation (JSON) is a lightweight data interchange format.
Test::JSON makes it easy to verify that you have built valid JSON and that
it matches your expected output.

%prep
%setup -q -n Test-JSON-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test


%files
%doc Changes README
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-1
- initial build
